# 7.4.0

The 7.4 release includes WebGL vector tiles along with several improvements to vector styling of WebGL layers, a new interaction for one-finger zooming on touch devices, and support for way geometries in the OSMXML parser. Several bug fixes for working with user projections and performance improvements for WebGL tile rendering are also on on board.

#### List of all changes

See below for a complete list of features and fixes.

 * WebGL / Add support for multiple styles in vector & vector tile renderers (by @jahow in https://github.com/openlayers/openlayers/pull/14765)
 * fix(KML): add support for reading <Camera> tags in KML format (by @danji90 in https://github.com/openlayers/openlayers/pull/12787)
 * Add DblClickDragZoom interaction (by @oterral in https://github.com/openlayers/openlayers/pull/13752)
 * Handle user projection in Translate interaction (by @mike-000 in https://github.com/openlayers/openlayers/pull/14743)
 * Clarify what text repeat means (by @ahocevar in https://github.com/openlayers/openlayers/pull/14742)
 * Add example of flat style (by @JakobMiksch in https://github.com/openlayers/openlayers/pull/14740)
 * Details on conforming with the style guidelines (by @tschaub in https://github.com/openlayers/openlayers/pull/14734)
 * Update source name for maptiler topo-v2 (by @ahocevar in https://github.com/openlayers/openlayers/pull/14732)
 * Do not restrict image reprojection extent width for global projections (by @mike-000 in https://github.com/openlayers/openlayers/pull/14706)
 * OSMXML: support reading geometry from ways (by @simon04 in https://github.com/openlayers/openlayers/pull/14674)
 * Update Maptiler topo map to latest version (by @ahocevar in https://github.com/openlayers/openlayers/pull/14724)
 * Fix several typos (by @openlayers in https://github.com/openlayers/openlayers/pull/14704)
 * Rename properties to conform with protected / private conventions (by @tschaub in https://github.com/openlayers/openlayers/pull/14694)
 * WebGL / add support for more types in style expressions (by @jahow in https://github.com/openlayers/openlayers/pull/14685)
 * Remove experimental description from getUserProjection() API method (by @mike-000 in https://github.com/openlayers/openlayers/pull/14656)
 * Fix VectorContext drawFeature and drawCircle with user projection (by @mike-000 in https://github.com/openlayers/openlayers/pull/14659)
 * WebGL / Add support for stroke and fill in the ShaderBuilder class (by @jahow in https://github.com/openlayers/openlayers/pull/14660)
 * Draw DataTile image at correct position when converting to array (by @mike-000 in https://github.com/openlayers/openlayers/pull/14647)
 * Make Modify hitdetect mode work with user projection (by @ahocevar in https://github.com/openlayers/openlayers/pull/14638)
 * Allow postProcesses to be passed to parent renderer (by @tschaub in https://github.com/openlayers/openlayers/pull/14630)
 * Ensure empty extents stay empty when transformed (by @mike-000 in https://github.com/openlayers/openlayers/pull/14627)
 * Helper method to bind a texture (by @tschaub in https://github.com/openlayers/openlayers/pull/14628)
 * Clear size when target is detached from map (by @ahocevar in https://github.com/openlayers/openlayers/pull/14622)
 * WebGL vector tile renderer (by @jahow in https://github.com/openlayers/openlayers/pull/14445)
 * Base scale calculation on icon size, not image size (by @ahocevar in https://github.com/openlayers/openlayers/pull/14619)
 * WebGL Points / mark the renderer as initially ready (by @jahow in https://github.com/openlayers/openlayers/pull/14611)
 * Handle wrapped worlds in Box Selection example (by @mike-000 in https://github.com/openlayers/openlayers/pull/14608)
 * Do not use non-API methods in example (by @ahocevar in https://github.com/openlayers/openlayers/pull/14607)
 * Smarter isVisible method on Layer (by @ahocevar in https://github.com/openlayers/openlayers/pull/14599)
 * Update deprecated KeyboardEvent properties (by @mike-000 in https://github.com/openlayers/openlayers/pull/14598)
 * Add latest typescript to CodeSandbox devDependencies (by @mike-000 in https://github.com/openlayers/openlayers/pull/14589)
 * WebGL / Introduce a base tile renderer (by @jahow in https://github.com/openlayers/openlayers/pull/14594)
 * Handle direction function (by @tschaub in https://github.com/openlayers/openlayers/pull/14590)
 * Avoid unnecessary else if indentation (by @tschaub in https://github.com/openlayers/openlayers/pull/14591)
 * Remove unused, broken getTileRangeExtent method (by @ahocevar in https://github.com/openlayers/openlayers/pull/14579)
 * Automatically update URL of examples page based on search query (by @RobQuincey in https://github.com/openlayers/openlayers/pull/14576)
 * Fix issue with external map example (by @RobQuincey in https://github.com/openlayers/openlayers/pull/14572)
 * Update CONTRIBUTING.md (by @RobQuincey in https://github.com/openlayers/openlayers/pull/14568)
 * Avoid rendering a tile more than once (by @tschaub in https://github.com/openlayers/openlayers/pull/14550)
 * Updates for the 7.3.0 release (by @openlayers in https://github.com/openlayers/openlayers/pull/14548)


<details>
  <summary>Dependency Updates</summary>

 * Bump marked from 5.0.2 to 5.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14782)
 * Bump puppeteer from 20.3.0 to 20.4.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14783)
 * Bump webpack from 5.84.0 to 5.84.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14784)
 * Bump eslint from 8.40.0 to 8.41.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14768)
 * Bump webpack from 5.83.1 to 5.84.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14778)
 * Bump puppeteer from 20.2.0 to 20.3.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14767)
 * Bump socket.io-parser from 4.2.1 to 4.2.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14775)
 * Bump @octokit/rest from 19.0.8 to 19.0.11 (by @openlayers in https://github.com/openlayers/openlayers/pull/14769)
 * Bump sinon from 15.0.4 to 15.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14770)
 * Bump webpack from 5.82.1 to 5.83.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14771)
 * Bump webpack-dev-middleware from 6.1.0 to 6.1.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14772)
 * Bump webpack from 5.82.0 to 5.82.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14753)
 * Bump rollup-plugin-external-globals from 0.7.3 to 0.8.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14750)
 * Bump marked from 5.0.1 to 5.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14755)
 * Bump semver from 7.5.0 to 7.5.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14754)
 * Bump jquery from 3.6.4 to 3.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14752)
 * Bump @octokit/rest from 19.0.7 to 19.0.8 (by @openlayers in https://github.com/openlayers/openlayers/pull/14751)
 * Bump @rollup/plugin-commonjs from 24.1.0 to 25.0.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14749)
 * Bump puppeteer from 20.1.1 to 20.2.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14748)
 * Bump @metalsmith/markdown from 1.9.1 to 1.9.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14747)
 * Bump webpack-cli from 5.1.0 to 5.1.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14746)
 * Bump webpack from 5.81.0 to 5.82.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14728)
 * Bump eslint from 8.39.0 to 8.40.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14731)
 * Bump webpack-cli from 5.0.2 to 5.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14730)
 * Bump puppeteer from 19.11.1 to 20.1.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14729)
 * Bump webpack-dev-server from 4.13.3 to 4.15.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14727)
 * Bump marked from 4.3.0 to 5.0.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14726)
 * Bump webpack-dev-middleware from 6.0.2 to 6.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14725)
 * Bump engine.io and socket.io (by @openlayers in https://github.com/openlayers/openlayers/pull/14722)
 * Bump puppeteer from 19.10.1 to 19.11.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14717)
 * Bump webpack from 5.80.0 to 5.81.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14716)
 * Bump yargs from 17.7.1 to 17.7.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14715)
 * Bump eslint from 8.38.0 to 8.39.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14700)
 * Bump webpack from 5.79.0 to 5.80.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14699)
 * Bump sinon from 15.0.3 to 15.0.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14702)
 * Bump karma-chrome-launcher from 3.1.1 to 3.2.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14701)
 * Bump webpack-cli from 5.0.1 to 5.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14698)
 * Bump puppeteer from 19.9.0 to 19.10.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14697)
 * Bump semver from 7.4.0 to 7.5.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14696)
 * Bump karma from 6.4.1 to 6.4.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14695)
 * Bump ol-mapbox-style from 10.4.0 to 10.5.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14683)
 * Bump webpack from 5.78.0 to 5.79.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14681)
 * Bump @rollup/plugin-commonjs from 24.0.1 to 24.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14677)
 * Bump puppeteer from 19.8.5 to 19.9.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14682)
 * Bump webpack-dev-server from 4.13.2 to 4.13.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14680)
 * Bump semver from 7.3.8 to 7.4.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14679)
 * Bump globby from 13.1.3 to 13.1.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14678)
 * Bump webpack from 5.77.0 to 5.78.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14650)
 * Bump typescript from 5.0.3 to 5.0.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14651)
 * Bump puppeteer from 19.8.3 to 19.8.5 (by @openlayers in https://github.com/openlayers/openlayers/pull/14652)
 * Bump @rollup/plugin-node-resolve from 15.0.1 to 15.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14653)
 * Bump @metalsmith/layouts from 2.6.0 to 2.7.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14654)
 * Bump ol-mapbox-style from 10.3.4 to 10.4.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14649)
 * Bump eslint from 8.37.0 to 8.38.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14655)
 * Bump typescript from 5.0.2 to 5.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14632)
 * Bump webpack-dev-server from 4.13.1 to 4.13.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14633)
 * Bump webpack from 5.76.3 to 5.77.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14634)
 * Bump eslint from 8.36.0 to 8.37.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14635)
 * Bump puppeteer from 19.8.0 to 19.8.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14636)
 * Bump webpack from 5.76.2 to 5.76.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14616)
 * Bump ol-mapbox-style from 10.2.0 to 10.3.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14617)
 * Bump fs-extra from 11.1.0 to 11.1.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14615)
 * Bump puppeteer from 19.7.5 to 19.8.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14614)
 * Bump marked from 4.2.12 to 4.3.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14613)
 * Bump sinon from 15.0.2 to 15.0.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14612)
 * Bump typescript from 4.9.5 to 5.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14586)
 * Bump webpack-dev-middleware from 6.0.1 to 6.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14584)
 * Bump webpack from 5.76.1 to 5.76.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14585)
 * Bump webpack-dev-server from 4.11.1 to 4.13.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14587)
 * Bump puppeteer from 19.7.4 to 19.7.5 (by @openlayers in https://github.com/openlayers/openlayers/pull/14588)
 * Bump eslint from 8.35.0 to 8.36.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14565)
 * Bump proj4 from 2.8.1 to 2.9.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14564)
 * Bump rollup-plugin-external-globals from 0.7.1 to 0.7.3 (by @openlayers in https://github.com/openlayers/openlayers/pull/14562)
 * Bump jquery from 3.6.3 to 3.6.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14560)
 * Bump sinon from 15.0.1 to 15.0.2 (by @openlayers in https://github.com/openlayers/openlayers/pull/14566)
 * Bump webpack from 5.75.0 to 5.76.1 (by @openlayers in https://github.com/openlayers/openlayers/pull/14563)
 * Bump ol-mapbox-style from 10.1.0 to 10.2.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14561)
 * Bump puppeteer from 19.7.2 to 19.7.4 (by @openlayers in https://github.com/openlayers/openlayers/pull/14559)
 * Bump ol-mapbox-style from 9.7.0 to 10.1.0 (by @openlayers in https://github.com/openlayers/openlayers/pull/14551)


</details>
